org.richfaces.renderkit.html

## Class SuggestionBoxRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.ajax4jsf.renderkit.AjaxComponentRendererBase
        - - org.richfaces.renderkit.html.SuggestionBoxRenderer

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

      public class SuggestionBoxRenderer
      extends org.ajax4jsf.renderkit.AjaxComponentRendererBase

  Renderer for SuggestionBox component.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SHADOW_DEPTH` Shadow depth.

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuggestionBoxRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `bgcolor(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Gets background-color style.
    `java.lang.String` | `border(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Gets border style.
    `java.lang.String` | `cellPadding(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Gets cellpadding style.
    `protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Decode.
    `protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Encode begin.
    `protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Encode end.
    `void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Encode children.
    `protected org.ajax4jsf.resource.InternetResource[]` | `getAdditionalScripts()` Gets additional scripts.
    `java.lang.String` | `getBorder(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Gets border size
    `protected java.lang.Class` | `getComponentClass()` Gets component class.
    `java.lang.String` | `getContentId(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Gets context identifier.
    `java.lang.String` | `getEntryClass(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Gets 'class' attribute for suggestion entry.
    `boolean` | `getRendersChildren()` Is render children.
    `protected org.ajax4jsf.resource.InternetResource[]` | `getStyles()` Gets styles.
    `void` | `insertNothingLabel(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `java.lang.String` | `opacityStyle(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Gets opacity style.
    `java.lang.String` | `overflowSize(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Gets overflow sizes.
    `java.lang.String` | `shadowDepth(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Gets shadow style.

    - ### Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase

      `getScripts`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeChildren, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer2

      `encodeToHead`

- - ### Field Detail

    - #### SHADOW_DEPTH

          public static final int SHADOW_DEPTH

      Shadow depth.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SuggestionBoxRenderer

          public SuggestionBoxRenderer()

  - ### Method Detail

    - #### getComponentClass

          protected final java.lang.Class getComponentClass()

      Gets component class.
      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`
      Returns:
        component class

    - #### getRendersChildren

          public final boolean getRendersChildren()

      Is render children.
      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`
      Returns:
        boolean

    - #### doDecode

          protected final void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Decode.
      Overrides:
        `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`
      Parameters:
        `context` - `FacesContext`
        `component` - `UIComponent`
      See Also:
        `org.ajax4jsf.framework.renderer.RendererBase#doDecode( javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

    - #### doEncodeBegin

          protected final void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                           javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                                      throws java.io.IOException

      Encode begin.
      Overrides:
        `doEncodeBegin` in class `org.ajax4jsf.renderkit.RendererBase`
      Parameters:
        `writer` - `ResponseWriter`
        `context` - `FacesContext`
        `component` - `UIComponent`
      Throws:
        `java.io.IOException`
      See Also:
        `org.ajax4jsf.framework.renderer.RendererBase#doEncodeBegin}`

    - #### doEncodeEnd

          protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Encode end.
      Overrides:
        `doEncodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
      Parameters:
        `writer` - `ResponseWriter`
        `context` - `FacesContext`
        `component` - `UIComponent`
      Throws:
        `java.io.IOException`
      See Also:
        `org.ajax4jsf.framework.renderer.RendererBase#doEncodeEnd}`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Encode children.
      Overrides:
        `encodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
      Parameters:
        `context` - `FacesContext`
        `component` - `UIComponent`
      Throws:
        `java.io.IOException`
      See Also:
        `Renderer.encodeChildren(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

    - #### opacityStyle

          public final java.lang.String opacityStyle(javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent component)

      Gets opacity style.
      Parameters:
        `context` - `FacesContext`
        `component` - `UIComponent`
      Returns:
        style

    - #### border

          public final java.lang.String border(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component)

      Gets border style.
      Parameters:
        `context` - `FacesContext`
        `component` - `UIComponent`
      Returns:
        style

    - #### bgcolor

          public final java.lang.String bgcolor(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)

      Gets background-color style.
      Parameters:
        `context` - `FacesContext`
        `component` - `UIComponent`
      Returns:
        background-color style

    - #### cellPadding

          public final java.lang.String cellPadding(javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component)

      Gets cellpadding style.
      Parameters:
        `context` - `FacesContext`
        `component` - `UIComponent`
      Returns:
        cellpadding style

    - #### getBorder

          public final java.lang.String getBorder(javax.faces.context.FacesContext context,
                                   javax.faces.component.UIComponent component)

      Gets border size
      Parameters:
        `context` - `FacesContext`
        `component` - `UIComponent`
      Returns:
        border size if set, 0 if none

    - #### getContentId

          public final java.lang.String getContentId(javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent component)

      Gets context identifier.
      Parameters:
        `context` - `FacesContext`
        `component` - `UIComponent`
      Returns:
        context identifier

    - #### overflowSize

          public final java.lang.String overflowSize(javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent component)

      Gets overflow sizes.
      Parameters:
        `context` - `FacesContext`
        `component` - `UIComponent`
      Returns:
        overflow style

    - #### shadowDepth

          public final java.lang.String shadowDepth(javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component)

      Gets shadow style.
      Parameters:
        `context` - `FacesContext`
        `component` - `UIComponent`
      Returns:
        shadow style

    - #### getAdditionalScripts

          protected final org.ajax4jsf.resource.InternetResource[] getAdditionalScripts()

      Gets additional scripts.
      Overrides:
        `getAdditionalScripts` in class `org.ajax4jsf.renderkit.AjaxComponentRendererBase`
      Returns:
        array of resources `org.ajax4jsf.framework.resource.InternetResource`

    - #### getStyles

          protected final org.ajax4jsf.resource.InternetResource[] getStyles()

      Gets styles.
      Overrides:
        `getStyles` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`
      Returns:
        array of styles `org.ajax4jsf.framework.resource.InternetResource`

    - #### insertNothingLabel

          public void insertNothingLabel(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getEntryClass

          public final java.lang.String getEntryClass(javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent component)

      Gets 'class' attribute for suggestion entry.
      Parameters:
        `context` - `FacesContext`
        `component` - `UIComponent`
      Returns:
        'class' attribute for 'tr' element of suggestion entry.

Copyright © 2014. All Rights Reserved.